Package com.opensymphony.module.sitemesh.html

# Class StateTransitionRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.StateTransitionRule

All Implemented Interfaces:
  `TagRule`

public class StateTransitionRule extends BasicRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private State`
`lastState`
`private final State`
`newState`
`private final boolean`
`writeEnclosingTag`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`StateTransitionRule(String tagName, State newState)`
`StateTransitionRule(String tagName, State newState, boolean writeEnclosingTag)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### newState

private final State newState

### writeEnclosingTag

private final boolean writeEnclosingTag

### lastState

private State lastState

## Constructor Details

### StateTransitionRule

public StateTransitionRule(String tagName, State newState)

### StateTransitionRule

public StateTransitionRule(String tagName, State newState, boolean writeEnclosingTag)

## Method Details

### process

public void process(Tag tag)

Specified by:
  `process` in interface `TagRule`
Specified by:
  `process` in class `BasicRule`